SubstituteLoggingEvent (SLF4J 1.7.25 API)
Date: 2017-03-16

org.slf4j.event

## Class SubstituteLoggingEvent

- java.lang.Object
- - org.slf4j.event.SubstituteLoggingEvent

- All Implemented Interfaces:
    LoggingEvent

      public class SubstituteLoggingEvent
      extends Object
      implements LoggingEvent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubstituteLoggingEvent()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object[]` | `getArgumentArray()`
    `Level` | `getLevel()`
    `SubstituteLogger` | `getLogger()`
    `String` | `getLoggerName()`
    `Marker` | `getMarker()`
    `String` | `getMessage()`
    `String` | `getThreadName()`
    `Throwable` | `getThrowable()`
    `long` | `getTimeStamp()`
    `void` | `setArgumentArray(Object[] argArray)`
    `void` | `setLevel(Level level)`
    `void` | `setLogger(SubstituteLogger logger)`
    `void` | `setLoggerName(String loggerName)`
    `void` | `setMarker(Marker marker)`
    `void` | `setMessage(String message)`
    `void` | `setThreadName(String threadName)`
    `void` | `setThrowable(Throwable throwable)`
    `void` | `setTimeStamp(long timeStamp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubstituteLoggingEvent

          public SubstituteLoggingEvent()

  - ### Method Detail

    - #### getLevel

          public Level getLevel()

      Specified by:
        `getLevel` in interface `LoggingEvent`

    - #### setLevel

          public void setLevel(Level level)

    - #### getMarker

          public Marker getMarker()

      Specified by:
        `getMarker` in interface `LoggingEvent`

    - #### setMarker

          public void setMarker(Marker marker)

    - #### getLoggerName

          public String getLoggerName()

      Specified by:
        `getLoggerName` in interface `LoggingEvent`

    - #### setLoggerName

          public void setLoggerName(String loggerName)

    - #### getLogger

          public SubstituteLogger getLogger()

    - #### setLogger

          public void setLogger(SubstituteLogger logger)

    - #### getMessage

          public String getMessage()

      Specified by:
        `getMessage` in interface `LoggingEvent`

    - #### setMessage

          public void setMessage(String message)

    - #### getArgumentArray

          public Object[] getArgumentArray()

      Specified by:
        `getArgumentArray` in interface `LoggingEvent`

    - #### setArgumentArray

          public void setArgumentArray(Object[] argArray)

    - #### getTimeStamp

          public long getTimeStamp()

      Specified by:
        `getTimeStamp` in interface `LoggingEvent`

    - #### setTimeStamp

          public void setTimeStamp(long timeStamp)

    - #### getThreadName

          public String getThreadName()

      Specified by:
        `getThreadName` in interface `LoggingEvent`

    - #### setThreadName

          public void setThreadName(String threadName)

    - #### getThrowable

          public Throwable getThrowable()

      Specified by:
        `getThrowable` in interface `LoggingEvent`

    - #### setThrowable

          public void setThrowable(Throwable throwable)

Copyright © 2005–2017 QOS.ch. All rights reserved.